//============================================================================
// Name        : tk3-2019-20-z1-upoznavanje.cpp
// Author      : Bogdan J.
// Version     :
// Copyright   : 
// Description : takmicenje, kvalifikaciono 3, 2019/20, zadatak 2 "lubenice"
//============================================================================

#include <iostream>
using namespace std;

int main() {
	unsigned p, q, r;
	unsigned long long intervalL, intervalR, n, i;

	cin >> p >> q >> r >> intervalL >> intervalR;

	n = 0;
	for (i = intervalL; i < (intervalR + 1); i++) {
		unsigned long long np, nq, nr;

		np = i / p;
		if (i % p != 0) np++;
		nq = i / q;
		if (i % q != 0) nq++;
		nr = i / r;
		if (i % r != 0) nr++;

		if ((np + nq + nr) <= i) n++;
	}

	cout << n << endl;
	return 0;
}